"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/4_/xyjwmyz1497g3qhhndg003800000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x107eae980>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x107eaeac0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x107eaea20>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x107eaeb60>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x107eaec00>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x107eaeca0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x107eaed40>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107eaede0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107eaee80>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107eaef20>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x107eaefc0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x107eaf060>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x107eaf100>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x107eaf1a0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x107eaf240>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x107eaf2e0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x107eaf380>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x107eaf420>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x107eaf4c0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x107eaf560>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x107eaf600>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x107eaf6a0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x107eaf740>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x107eaf7e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x107eaf880>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x107eaf920>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x107eaf9c0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x107eafa60>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x107eafb00>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x107eafba0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x107eafc40>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x107eafce0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x107eafd80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x107eafe20>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x107eafec0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x107eaff60>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x107f04040>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x107f040e0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x107f04180>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x107f04220>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x107f042c0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x107f04360>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x107f04400>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x107f044a0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x107f04540>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x107f045e0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x107f04680>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x107f04720>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x107f047c0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x107f04860>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x107f04900>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x107f049a0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x107f04a40>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x107f04ae0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x107f04b80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x107f04c20>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x107f04cc0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x107f04d60>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x107f04e00>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x107f04ea0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x107f04f40>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x107f04fe0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x107f05080>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x107f05120>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x107f051c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x107f05260>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x107f05300>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x107f053a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x107f05440>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x107f054e0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x107f05580>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x107f05620>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x107f056c0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x107f05760>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x107f05800>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x107f058a0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x107f05940>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x107f059e0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x107f05a80>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x107f05bc0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x107f05b20>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x107f05c60>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x107f05d00>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x107f05da0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x107f05e40>)]
name: str = 'fr_HOCCN'
